summaryrefslogtreecommitdiffhomepage
path: root/subr/ex_pkg_exec.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-11 17:33:31 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-11 17:33:31 +0000
commitf243bed357feef6e7554767c44a6b6c97b11c3ec (patch)
treed113196482807409444ec1aa615333603970793d /subr/ex_pkg_exec.subr
parented7b28de4ac405fd1da51c2a338f655a21ec0e73 (diff)
downloadmidipix_build-f243bed357feef6e7554767c44a6b6c97b11c3ec.tar.bz2
midipix_build-f243bed357feef6e7554767c44a6b6c97b11c3ec.tar.xz
pkgtool.sh, subr/{build_init,ex_pkg_exec}.subr: rebuild package, dump & exit if package dump is unavailable.
build.sh:buildp_dispatch_fail_pkg(): log --dump-{in,on-abort} messages at `info' level.
Diffstat (limited to 'subr/ex_pkg_exec.subr')
-rw-r--r--subr/ex_pkg_exec.subr7
1 files changed, 6 insertions, 1 deletions
diff --git a/subr/ex_pkg_exec.subr b/subr/ex_pkg_exec.subr
index f21bc3d8..fb0cfa02 100644
--- a/subr/ex_pkg_exec.subr
+++ b/subr/ex_pkg_exec.subr
@@ -101,7 +101,12 @@ ex_pkg_exec() {
else set -- ${PKG_BUILD_STEPS};
while [ ${#} -gt 0 ]; do
_step="${1}"; _step_next="${2}"; shift;
- if [ "${PKG_FORCE:-0}" -eq 0 ]\
+ if [ "${ARG_DUMP_IN}" = "${_step}" ]; then
+ printf "" > "${BUILD_WORKDIR}/${_pkg_name}.dump";
+ rtl_filter_vars exp_pkg_exec_filter_vars_fn >> "${BUILD_WORKDIR}/${_pkg_name}.dump";
+ export >> "${BUILD_WORKDIR}/${_pkg_name}.dump";
+ exit 1;
+ elif [ "${PKG_FORCE:-0}" -eq 0 ]\
&& ex_pkg_state_test "${_pkg_name}" "${_step}" "${_restart_at}" ; then
continue;
elif ! exp_pkg_exec_step "${_group_name}" "${_pkg_name}" "${_restart_at}" "${_step}"; then